ContNode subclass: #GraphNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!GraphNode methodsFor: 'compiling'!

initConnections
	1 to: nInputs do: [:i | self data show: (inputs at: i) data]!

initSimulation
	data _ Graph
				new: self label
				by: (self atributeAt: 'Step') atributValue
				type: (self atributeAt: 'Type') atributValue! !

!GraphNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0.1 lock: false)
		at: 'Step'.
	self addAtribute: (Atribut defaultValue: 2 lock: false)
		at: 'Type'.
	label _ 'Graph'! !

!GraphNode methodsFor: 'ioLimits'!

maxInputs
	^4!

maxOutputs
	^0! !

ContNode subclass: #AbsNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!AbsNode methodsFor: 'compiling'!

initSimulation
	data _ Abs new! !

!AbsNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Abs'! !

ContNode subclass: #SumNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!SumNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Sum'! !

!SumNode methodsFor: 'compiling'!

initConnections
	inputs do: [:input | data sum: input data]!

initSimulation
	data _ Sum new! !

ContNode subclass: #ArcCosNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!ArcCosNode methodsFor: 'compiling'!

initSimulation
	data _ ArcCos new! !

!ArcCosNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'ArcCos'! !

ContNode subclass: #MulNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!MulNode methodsFor: 'ioLimits'!

maxInputs
	^2!

minInputs
	^2! !

!MulNode methodsFor: 'compiling'!

initConnections
	data as: (inputs at: 1) data mul: (inputs at: 2) data!

initSimulation
	data _ Mul new! !

!MulNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Mul'! !

ContNode subclass: #IntegratorNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!IntegratorNode methodsFor: 'compiling'!

initSimulation
	data _ Integrator new: self label initVal: (self atributeAt: 'Init value') atributValue! !

!IntegratorNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Init value'.
	label _ 'Integrator'! !

InputNode subclass: #PulseNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!PulseNode methodsFor: 'compiling'!

initSimulation
	data _ Pulse
				new: (self atributeAt: 'Start time') atributValue
				step: (self atributeAt: 'Step') atributValue
				duration: (self atributeAt: 'Duration') atributValue! !

!PulseNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Start time'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Step'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Duration'.
	label _ 'Pulse'! !

InputNode subclass: #PulsesNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!PulsesNode methodsFor: 'compiling'!

initSimulation
	data _ Pulses
				new: (self atributeAt: 'Start time') atributValue
				step: (self atributeAt: 'Step') atributValue
				duration: (self atributeAt: 'Duration') atributValue
				period: (self atributeAt: 'Period') atributValue! !

!PulsesNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Start time'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Step'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Duration'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Period'.
	label _ 'Pulses'! !

ContNode subclass: #InvNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!InvNode methodsFor: 'compiling'!

initSimulation
	data _ Inv new! !

!InvNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Inv'! !

ContNode subclass: #QntzrNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!QntzrNode methodsFor: 'compiling'!

initSimulation
	data _ Qntzr new: self label step: (self atributeAt: 'Step') atributValue! !

!QntzrNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 1 lock: false)
		at: 'Step'.
	label _ 'Qntzr'! !

InputNode subclass: #SinusNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!SinusNode methodsFor: 'compiling'!

initSimulation
	data _ Sinus
				new: (self atributeAt: 'Start time') atributValue
				step: (self atributeAt: 'Step') atributValue
				period: (self atributeAt: 'Period') atributValue
				phaseDisplace: (self atributeAt: 'Phase displace') atributValue! !

!SinusNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Start time'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Step'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Period'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Phase displace'.
	label _ 'Sinus'! !

InputNode subclass: #TrianglesesNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!TrianglesesNode methodsFor: 'compiling'!

initSimulation
	data _ Triangleses
				new: (self atributeAt: 'Start time') atributValue
				step: (self atributeAt: 'Step') atributValue
				duration: (self atributeAt: 'Duration') atributValue
				halfDuration: (self atributeAt: 'Half duration') atributValue
				period: (self atributeAt: 'Period') atributValue! !

!TrianglesesNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Start time'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Step'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Duration'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Half duration'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Period'.
	label _ 'Triangleses'! !

ContNode subclass: #InsvNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!InsvNode methodsFor: 'compiling'!

initSimulation
	data _ Insv
				new: self label
				low: (self atributeAt: 'Low') atributValue
				high: (self atributeAt: 'High') atributValue
				tgAlpha: (self atributeAt: 'TgAlpha') atributValue
				tgBeta: (self atributeAt: 'TgBeta') atributValue! !

!InsvNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Low'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'High'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'TgAlpha'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'TgBeta'.
	label _ 'Insv'! !

ContNode subclass: #MaxNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!MaxNode methodsFor: 'ioLimits'!

maxInputs
	^2!

minInputs
	^2! !

!MaxNode methodsFor: 'compiling'!

initConnections
	data as: (inputs at: 1) data max: (inputs at: 2) data!

initSimulation
	data _ Max new! !

!MaxNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Max'! !

ContNode subclass: #Div1Node
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!Div1Node methodsFor: 'compiling'!

initSimulation
	data _ Div1 new! !

!Div1Node methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Div1'! !

ContNode subclass: #ArcTanNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!ArcTanNode methodsFor: 'compiling'!

initSimulation
	data _ ArcTan new! !

!ArcTanNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'ArcTan'! !

InputNode subclass: #StepNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!StepNode methodsFor: 'compiling'!

initSimulation
	data _ Step
				new: (self atributeAt: 'Start time') atributValue
				step: (self atributeAt: 'Step') atributValue! !

!StepNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Start time'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Step'.
	label _ 'Step'! !

ContNode subclass: #TimeNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!TimeNode methodsFor: 'compiling'!

initSimulation
	data _ Tim new! !

!TimeNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Time'! !

!TimeNode methodsFor: 'ioLimits'!

maxInputs
	^0! !

ContNode subclass: #CosNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!CosNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Cos'! !

!CosNode methodsFor: 'compiling'!

initSimulation
	data _ Cos new! !

ContNode subclass: #SqrtNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!SqrtNode methodsFor: 'compiling'!

initSimulation
	data _ Sqrt new! !

!SqrtNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Sqrt'! !

ContNode subclass: #SinNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!SinNode methodsFor: 'compiling'!

initSimulation
	data _ Sin new! !

!SinNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Sin'! !

ContNode subclass: #LimNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!LimNode methodsFor: 'compiling'!

initSimulation
	data _ Lim
				new: self label
				low: (self atributeAt: 'Low') atributValue
				high: (self atributeAt: 'High') atributValue
				tgAlpha: (self atributeAt: 'TgAlpha')! !

!LimNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Low'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'High'.
	self addAtribute: (Atribut defaultValue: 1 lock: false)
		at: 'TgAlpha'.
	label _ 'Lim'! !

ContNode subclass: #ExpNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!ExpNode methodsFor: 'compiling'!

initSimulation
	data _ Exp new! !

!ExpNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Exp'! !

ContNode subclass: #HystNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!HystNode methodsFor: 'compiling'!

initSimulation
	data _ Hyst
				new: self label
				low: (self atributeAt: 'Low') atributValue
				high: (self atributeAt: 'High') atributValue
				yLow: (self atributeAt: 'YLow') atributValue
				yHigh: (self atributeAt: 'YHigh') atributValue
				tgAlpha: (self atributeAt: 'TgAlpha') atributValue
				initVal: (self atributeAt: 'Init value') atributValue! !

!HystNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Low'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'High'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'YLow'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'YHigh'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'TgAlpha'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Init value'.
	label _ 'Hyst'! !

ContNode subclass: #MinNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!MinNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Min'! !

!MinNode methodsFor: 'compiling'!

initConnections
	data as: (inputs at: 1) data min: (inputs at: 2) data!

initSimulation
	data _ Min new! !

!MinNode methodsFor: 'ioLimits'!

maxInputs
	^2!

minInputs
	^2! !

ContNode subclass: #LnNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!LnNode methodsFor: 'compiling'!

initSimulation
	data _ Ln new! !

!LnNode methodsFor: 'initilaize-release'!

initialize
	super initialize.
	label _ 'Ln'! !

ContNode subclass: #ArcSinNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!ArcSinNode methodsFor: 'compiling'!

initSimulation
	data _ ArcSin new! !

!ArcSinNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'ArcSin'! !

InputNode subclass: #RampNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!RampNode methodsFor: 'compiling'!

initSimulation
	data _ Ramp
				new: (self atributeAt: 'Start time') atributValue! !

!RampNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Start time'.
	label _ 'Ramp'! !

ContNode subclass: #TanNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!TanNode methodsFor: 'compiling'!

initSimulation
	data _ Tan new! !

!TanNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	label _ 'Tan'! !

ContNode subclass: #RelayNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!RelayNode methodsFor: 'compiling'!

initSimulation
	data _ Relay
				new: self label
				low: (self atributeAt: 'Low') atributValue
				high: (self atributeAt: 'High') atributValue
				lLow: (self atributeAt: 'LLow') atributValue
				lHigh: (self atributeAt: 'LHigh') atributValue
				rLow: (self atributeAt: 'RLow') atributValue
				rHigh: (self atributeAt: 'RHigh') atributValue
				initVal: (self atributeAt: 'Init value') atributValue! !

!RelayNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Low'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'High'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'LLow'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'LHigh'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'RLow'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'RHigh'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Init value'.
	label _ 'Relay'! !

ContNode subclass: #ConstNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!ConstNode methodsFor: 'ioLimits'!

maxInputs
	^0! !

!ConstNode methodsFor: 'compiling'!

initSimulation
	data _ Const
				new: (self atributeAt: 'Value') atributValue! !

!ConstNode methodsFor: 'initialize-release'!

initialize
	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Value'.
	 label _ 'Const'! !

ContNode subclass: #FrictNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!FrictNode methodsFor: 'compiling'!

initSimulation
	data _ Insv
				new: self label
				low: (self atributeAt: 'Low') atributValue
				high: (self atributeAt: 'High') atributValue
				tgAlpha: (self atributeAt: 'TgAlpha') atributValue! !

!FrictNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Low'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'High'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'TgAlpha'.
	label _ 'Frict'! !

ContNode subclass: #BlashNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!BlashNode methodsFor: 'compiling'!

initSimulation
	data _ Insv
				new: self label
				low: (self atributeAt: 'Low') atributValue
				high: (self atributeAt: 'High') atributValue
				tgAlpha: (self atributeAt: 'TgAlpha') atributValue
				initVal: (self atributeAt: 'Init value') atributValue! !

!BlashNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Low'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'High'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'TgAlpha'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Init value'.
	label _ 'Blash'! !

InputNode subclass: #TrianglesNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graph-Nodes-Cont'!


!TrianglesNode methodsFor: 'compiling'!

initSimulation
	data _ Triangles
				new: (self atributeAt: 'Start time') atributValue
				step: (self atributeAt: 'Step') atributValue
				duration: (self atributeAt: 'Duration') atributValue
				halfDuration: (self atributeAt: 'Half duration') atributValue! !

!TrianglesNode methodsFor: 'initialize-release'!

initialize

	super initialize.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Start time'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Step'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Duration'.
	self addAtribute: (Atribut defaultValue: 0 lock: false)
		at: 'Half duration'.
	label _ 'Triangles'! !